.hidden {
  display: none;
}

.preloader-container {
  background-color: white;
  width: 100%;
  height: 100%;
}

.preloader-content {
  color: #73bf43;
  padding: 20%;
  text-align: center;
  font-size: 1.5vw;
}

.main-page {
  max-width: 50%;
  margin: 0 auto;
  border-top: 1vw solid #73bf43;
  border-bottom: 1vw solid #73bf43;
}

.header {
  border-radius: 0.5vw;
  background-color: white;
  z-index: 10;
}

h1 {
  margin: 0 10%;
}

.header-subtitle {
  max-width: 55%;
  margin: 0 10%;
}

.button-link {
  padding: 1.5%;
  background-color: #73bf43;
  border-radius: 0.5vw;
  color: white;
  font-weight: bold;
  text-align: center;
}

.solar-pool-heating-image {
  width: 100%;
  border-radius: 0.5vw;
}

.middle-section {
  padding: 5% 15%;
  margin-bottom: -5%;
  margin-top: -25%;
  background-color: white;
  border-radius: 0.5vw;
  z-index: 10;
}

.solar-installers-image {
  max-width: 70%;
  margin: 0 15%;
  background-color: white;
  padding: 5% 5% 0% 5%;
  border-radius: 100%;
}

.gallery-frame {
  border-top: 1vw solid #73bf43;
  border-bottom: 1vw solid #73bf43;
}

.bottom-section {
  padding: 5% 10%;
  background-color: white;
  border-radius: 0.5vw;
}

/* MIN  */

@media only screen and (min-width: 3200px) {
  .main-page {
    max-width: 25%;
  }
}

@media only screen and (min-width: 2500px) {
  .main-page {
    max-width: 33%;
  }
}

@media only screen and (min-width: 1600px) {
  .section-grid {
    display: grid;
    grid-template-areas: "auto auto";
  }

  .grid-column {
    width: 100%;
  }
}

/* MAX */

@media only screen and (max-width: 800px) {
  .preloader-content {
    font-size: 5vw;
  }

  .main-page {
    max-width: 90%;
    border-top: 5vw solid #73bf43;
    border-bottom: 5vw solid #73bf43;
  }

  .button-link {
    padding: 2.5%;
  }

  .gallery-frame {
    border-top: 5vw solid #73bf43;
    border-bottom: 5vw solid #73bf43;
  }
}

@media only screen and (max-width: 600px) {
  .main-page {
    max-width: 95%;
  }

  .header-subtitle {
    max-width: 100%;
  }

  .bottom-section {
    padding: 5%;
  }

  .preloader-content {
    font-size: 7.5vw;
  }
}

@media only screen and (max-width: 400px) {
  .main-page {
    max-width: 100%;
  }
}
